﻿// ====================================================================
//  Texy.net - XML-RPC client for Texy! formatter
//  (c) 2006 Aleš Roubíček - Creative Commons 2.5 License
// --------------------------------------------------------------------
//  version: 1.0 RC2
// ====================================================================

using System;
using System.Configuration;

namespace Rarous.TexyNet.Configuration
{
    /// <summary>
    /// 
    /// </summary>
    public class FormatterModuleElement : ConfigurationElement
    {
        #region Constructors
        /// <summary>
        /// Konstruktor
        /// </summary>
        public FormatterModuleElement() 
        { }
        #endregion

        #region Properties
        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("lineWrap", IsRequired = false, DefaultValue = 80)]
        public int LineWrap
        {
            get { return Convert.ToInt32(this["lineWrap"]); }
            set { this["lineWrap"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("indent", IsRequired = false, DefaultValue = false)]
        public bool Indent
        {
            get { return Convert.ToBoolean(this["indent"]); }
            set { this["indent"] = value; }
        }
        #endregion

        #region Override Methods
        /// <summary>
        /// Nastavuje výchozí hodnoty
        /// </summary>
        protected override void InitializeDefault()
        {
            LineWrap = 70;
            Indent = false;
            base.InitializeDefault();
        }
        #endregion
    }
}
