﻿// ====================================================================
//  Texy.net - XML-RPC client for Texy! formatter
//  (c) 2006 Aleš Roubíček - Creative Commons 2.5 License
// --------------------------------------------------------------------
//  version: 1.0 RC2
// ====================================================================

using System;
using System.Configuration;

namespace Rarous.TexyNet.Configuration
{
    /// <summary>
    /// 
    /// </summary>
    public class ImageDescriptionModuleElement : ConfigurationElement
    {
        #region Constructors
        /// <summary>
        /// Konstruktor
        /// </summary>
        public ImageDescriptionModuleElement()
        { }
        #endregion

        #region Properties
        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("boxClass", IsRequired = false, DefaultValue = "")]
        public string BoxClass
        {
            get { return this["boxClass"].ToString(); }
            set { this["boxClass"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("leftClass", IsRequired = false, DefaultValue = "")]
        public string LeftClass
        {
            get { return this["leftClass"].ToString(); }
            set { this["leftClass"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("rightClass", IsRequired = false, DefaultValue = "")]
        public string RightClass
        {
            get { return this["rightClass"].ToString(); }
            set { this["rightClass"] = value; }
        }
        #endregion

        #region Override Methods
        /// <summary>
        /// Nastavuje výchozí hodnoty
        /// </summary>
        protected override void InitializeDefault()
        {
            BoxClass = String.Empty;
            LeftClass = String.Empty;
            RightClass = String.Empty;
            base.InitializeDefault();
        }
        #endregion
    }
}
