﻿// ====================================================================
//  Texy.net - XML-RPC client for Texy! formatter
//  (c) 2006 Aleš Roubíček - Creative Commons 2.5 License
// --------------------------------------------------------------------
//  version: 1.0 RC2
// ====================================================================

using System;
using System.Configuration;

namespace Rarous.TexyNet.Configuration
{
    /// <summary>
    /// 
    /// </summary>
    public class SmilesModuleElement : ConfigurationElement
    {
        #region Constructors
        /// <summary>
        /// Konstruktor
        /// </summary>
        public SmilesModuleElement()
        { }
        #endregion

        #region Properties
        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("allowed", IsRequired = false, DefaultValue = false)]
        public bool Allowed
        {
            get { return Convert.ToBoolean(this["allowed"]); }
            set { this["allowed"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("root", IsRequired = false, DefaultValue = "")]
        public string Root
        {
            get { return this["root"].ToString(); }
            set { this["root"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("cssClass", IsRequired = false, DefaultValue = "")]
        public string CssClass
        {
            get { return this["cssClass"].ToString(); }
            set { this["cssClass"] = value; }
        }
        #endregion

        #region Override Methods
        /// <summary>
        /// Nastavuje výchozí hodnoty
        /// </summary>
        protected override void InitializeDefault()
        {
            Allowed = false;
            CssClass = String.Empty;
            Root = String.Empty;
            base.InitializeDefault();
        }
        #endregion
    }
}
