﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Rarous.TexyNet {

  /// <summary>
  /// Obrázková reference.
  /// </summary>
  public class ImageReference : Reference {
  
    /// <summary>
    /// Konstruktor.
    /// </summary>
    /// <param name="name">Název reference.</param>
    /// <param name="url">Url obrázku.</param>
    /// <param name="alt">Alternativní text obrázku.</param>
    public ImageReference(string name, string url, string alt)
      : base(name, url, String.Empty, alt) {
    }

    /// <summary>
    /// Vraci vystupni pattern.
    /// </summary>
    protected override string OutputPattern {
      get {
        return "[*{0}*]: {1}{3}";
      }
    }
  }
}
