﻿// ====================================================================
//  Texy.net - XML-RPC client for Texy! formatter
//  (c) 2006 Aleš Roubíček - Creative Commons 2.5 License
// --------------------------------------------------------------------
//  version: 1.0 RC2
// ====================================================================

using System;

namespace Rarous.TexyNet.Modules
{
    /// <summary>
    /// Třída obsahující informace o konfiguraci modulu formátovače výstupu
    /// </summary>
    public class FormatterModule
    {
        #region Fields
        private int lineWrap;
        private bool indent;
        #endregion

        #region Constructors
        /// <summary>
        /// Konstruktor
        /// </summary>
        public FormatterModule()
        {
            lineWrap = 72;
        }

        /// <summary>
        /// Konstruktor
        /// </summary>
        /// <param name="element"></param>
        public FormatterModule(Configuration.FormatterModuleElement element)
            : this()
        {
            ReadConfiguration(element);
        }
        #endregion

        #region Private Methods
        private void ReadConfiguration(Configuration.FormatterModuleElement element)
        {
            if (element != null)
            {
                lineWrap = element.LineWrap;
                indent = element.Indent;
            }
        } 
        #endregion

        #region Properties
        /// <summary>
        /// Vrací nebo nastavuje počet znaků na řádek.
        /// </summary>
        public int LineWrap
        {
            get { return lineWrap; }
            set { lineWrap = value; }
        }

        /// <summary>
        /// Příznak, zda-li se má výstupní text odsazovat.
        /// </summary>
        public bool Indent
        {
            get { return indent; }
            set { indent = value; }
        }
        #endregion
    }
}
