﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Rarous.TexyNet.Modules
{
    /// <summary>
    /// Třída obsahující informace o konfiguraci modulu obrázků s popiskem
    /// </summary>
    public class ImageDescriptionModule
    {
        #region Fields
        private string boxClass;
        private string leftClass;
        private string rightClass;
        #endregion

        #region Constructors

        /// <summary>
        /// Create image description module
        /// </summary>
        /// <param name="element">Element</param>
        public ImageDescriptionModule(Configuration.ImageDescriptionModuleElement element)
            : this()
        {
            ReadConfiguration(element);
        }

        /// <summary>
        /// Konstruktor.
        /// </summary>
        public ImageDescriptionModule()
        {
            boxClass = String.Empty;
            leftClass = "left";
            rightClass = "right";
        }
        #endregion

        private void ReadConfiguration(Configuration.ImageDescriptionModuleElement element)
        {
            if (element != null)
            {
                boxClass = element.BoxClass;
                leftClass = element.LeftClass;
                rightClass = element.RightClass;
            }
        }

        #region Properties
        /// <summary>
        /// Vrací nebo nastavuje CSS třídu pro box s popiskem obrázku
        /// </summary>
        public string BoxClass
        {
            get { return boxClass; }
            set { boxClass = value; }
        }

        /// <summary>
        /// Vrací nebo nastavuje CSS třídu pro zarovnání vlevo
        /// </summary>
        public string LeftClass
        {
            get { return leftClass; }
            set { leftClass = value; }
        }

        /// <summary>
        /// Vrací nebo nastavuje CSS třídu pro zarovnání vpravo
        /// </summary>
        public string RightClass
        {
            get { return rightClass; }
            set { rightClass = value; }
        }
        #endregion
    }
}
