﻿// ====================================================================
//  Texy.net - XML-RPC client for Texy! formatter
//  (c) 2006 Aleš Roubíček - Creative Commons 2.5 License
// --------------------------------------------------------------------
//  version: 1.0 RC1
// ====================================================================

using System;
using CookComputing.XmlRpc;

namespace Rarous.TexyNet.Providers
{
    /// <summary>
    /// Rozhraní pro komunikaci s Texy! XML-RPC
    /// </summary>
    public interface ITexyConverter : IXmlRpcProxy
    {
        /// <summary>
        /// Převádí text na XHTML
        /// </summary>
        /// <param name="text">Vstupní text</param>
        /// <param name="configuration">Vstupní konfigurace</param>
        /// <returns>Vrací výstupní XHTML kód</returns>
        [XmlRpcMethod("texy1.toHtml")]
        byte[] ToXhtml(byte[] text, XmlRpcStruct configuration);

        /// <summary>
        /// Vrací informaci o verzi Texy!
        /// </summary>
        /// <returns>Vrací informaci o verzi Texy!</returns>
        [XmlRpcMethod("texy1.version")]
        string Version();
    }
}
