﻿// ====================================================================
//  Texy.net - Texy! formatter library
//  http://www.codeplex.com/texynet
// --------------------------------------------------------------------
//  version: 1.0
// ====================================================================

using System;
using System.Collections.Generic;

namespace Rarous.TexyNet {

  /// <summary>
  /// Třída reprezentující tag v kolekci povolených tagů.
  /// </summary>
  public class Tag {
  
    #region Fields
    private string _name;
    private IList<String> _attributes;
    #endregion

    #region Constructors
    /// <summary>
    /// Konstruktor.
    /// </summary>
    public Tag()
      : this(String.Empty) {
    }

    /// <summary>
    /// Konstruktor. Vytváří nový tag podle jeho jména.
    /// </summary>
    /// <param name="name">Název tagu</param>
    public Tag(string name) {
      _name = name;
      _attributes = new List<String>();
    }
    #endregion

    #region Properties
    /// <summary>
    /// Vrací nebo nastavuje název tagu.
    /// </summary>
    public string Name {
      get {
        return _name;
      }
      set {
        _name = value;
      }
    }

    /// <summary>
    /// Vrací kolekci povolených atributů tagu.
    /// </summary>
    public IList<String> Attributes {
      get {
        return _attributes;
      }
    }
    #endregion
  }
}